package com.gic.haoban.manage.service.service.content;

import com.gic.haoban.manage.service.entity.content.TabHaobanPotentialCustomer;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * 销售线索(TabHaobanPotentialCustomer)表服务接口
 *
 * @author makejava
 * @since 2023-03-28 09:48:08
 */
public interface TabHaobanPotentialCustomerService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    TabHaobanPotentialCustomer queryById(Long id);

    /**
     * 分页查询
     *
     * @param tabHaobanPotentialCustomer 筛选条件
     * @param pageRequest                分页对象
     * @return 查询结果
     */
    Page<TabHaobanPotentialCustomer> queryByPage(TabHaobanPotentialCustomer tabHaobanPotentialCustomer, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param tabHaobanPotentialCustomer 实例对象
     * @return 实例对象
     */
    TabHaobanPotentialCustomer insert(TabHaobanPotentialCustomer tabHaobanPotentialCustomer);

    /**
     * 修改数据
     *
     * @param tabHaobanPotentialCustomer 实例对象
     * @return 实例对象
     */
    TabHaobanPotentialCustomer update(TabHaobanPotentialCustomer tabHaobanPotentialCustomer);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);

}
